claw::pattern::bad_type_identifier Class Reference

Exception thrown when an incorrect identifier is given to a type. More...

`#include <factory.hpp>`

Inheritance diagram for claw::pattern::bad_type_identifier:

## Public Member Functions

| bad_type_identifier () throw ()
| Constructor.
Public Member Functions inherited from claw::exception
| exception (const std::string &msg) throw ()
| Constructor.
| ~exception () throw ()
| Desctructor.
const char * | what () const throw ()
| Get a short description of the problem.

## Detailed Description

Exception thrown when an incorrect identifier is given to a type.

Author
  Julien Jorge

Definition at line 48 of file factory.hpp.

## Constructor & Destructor Documentation

## bad_type_identifier()

claw::pattern::bad_type_identifier::bad_type_identifier | ( |  | ) |
throw | ( | ) |  |  |

inline

Constructor.

Definition at line 55 of file factory.hpp.

References claw::exception::exception().

The documentation for this class was generated from the following file:

- factory.hpp